#if !defined(AFX_COORDINATEPROPPAGE_H__4AF3BB40_2CFA_471A_B0DF_25164CC83560__INCLUDED_)
#define AFX_COORDINATEPROPPAGE_H__4AF3BB40_2CFA_471A_B0DF_25164CC83560__INCLUDED_


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CoordinatePropPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCoordinatePropPage dialog
#include "PageDialog.h"
#include "ReportDict.h"

class CPropertyDlg;

class CCoordinatePropPage : public CPageDialog
{
// Construction
protected:
	CHeaderColumn	*m_pXColumn;
	CReportParam	*m_pXParam;
	CReportParam	*m_pYParam;

	LOGFONT			m_XLineFont;
	LOGFONT			m_YLineFont;
	
	COLORREF		m_XFontColor;
	COLORREF		m_YFontColor;

	COLORREF		m_XLineColor;
	COLORREF		m_YLineColor;

	COLORREF		m_XLinesColor;
	COLORREF		m_YLinesColor;
public:
	bool TestUpdate();
	virtual bool UpdateDlg();
	CCoordinatePropPage(CWnd* pParent = NULL);   // standard constructor

	CCoordinateLine	*m_pXLine;
	CCoordinateLine	*m_pYLine;

	TReportElementType m_ElemType;
	CPropertyDlg*	m_PropDlg;
// Dialog Data
	//{{AFX_DATA(CCoordinatePropPage)
	enum { IDD = IDD_COORDINATE_PROP_DLG };
	CaplStatic	m_YLinesColorCtrl;
	CaplStatic	m_XLinesColorCtrl;
	CaplStatic	m_YLineColorCtrl;
	CaplStatic	m_YFontColorCtrl;
	CComboBox	m_YParamComboCtrl;
	CComboBox	m_XParamComboCtrl;
	CaplStatic	m_XFontColorCtrl;
	CaplStatic	m_XLineColorCtrl;
	CComboBox	m_DSComboCtrl;
	CaplButton	m_browse_yfont_btn;
	CaplButton	m_browse_xfont_btn;
	CaplButton	m_browse_dscolumn_btn;
	CString	m_sXFontName;
	int		m_iXFontSize;
	double	m_dXLineWidth;
	CString	m_sXName;
	CString	m_sYName;
	int		m_XShowName;
	int		m_YShowName;
	CString	m_sYFontName;
	int		m_iYFontSize;
	double	m_dYLineWidth;
	BOOL	m_bProRataValues;
	BOOL	m_bShowXLines;
	BOOL	m_bShowYLines;
	BOOL	m_bHideXValues;
	BOOL	m_bShowXNameCycle;
	BOOL	m_bShowYNameCycle;
	BOOL	m_bShowYPercentCycle;
	BOOL	m_bAngleTextsValues;
	//}}AFX_DATA


	// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCoordinatePropPage)
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void SelectColumn(CHeaderColumn *pColumn);

	// Generated message map functions
	//{{AFX_MSG(CCoordinatePropPage)
	afx_msg void OnBrowseDsColumn();
	afx_msg void OnBrowseFontX();
	afx_msg void OnBrowseFontY();
	virtual BOOL OnInitDialog();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnXName();
	afx_msg void OnRadio4();
	afx_msg void OnYName();
	afx_msg void OnRadio6();
	afx_msg void OnXlineColor();
	afx_msg void OnYlineColor();
	afx_msg void OnYlineColors();
	afx_msg void OnXlineColors();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
#endif // !defined(AFX_COORDINATEPROPPAGE_H__4AF3BB40_2CFA_471A_B0DF_25164CC83560__INCLUDED_)











































